Bug 1830357 - Openshift Installer fails on Openstack without Octavia
Summary: Openshift Installer fails on Openstack without Octavia
Keywords:
Status: CLOSED DUPLICATE of bug 1791318
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
: 4.6.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-01 17:52 UTC by Donny Davis
Modified: 2020-05-20 19:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-07 14:52:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Donny Davis 2020-05-01 17:52:10 UTC
Description of problem:

Installer throws the following error:

FATAL failed to fetch Terraform Variables: failed to load asset "Install Config": invalid "install-config.yaml" file: platform.openstack.octaviaSupport: Internal error: could not retrieve service catalog

Tested against two different clouds that do not have Octavia

Version-Release number of the following components:
./openshift-install 4.3.18
built from commit db4411451af55e0bab7258d25bdabd91ea48382f
release image quay.io/openshift-release-dev/ocp-release@sha256:1f0fd38ac0640646ab8e7fec6821c8928341ad93ac5ca3a48c513ab1fb63bc4b


How reproducible:
100%
Steps to Reproduce:
1. Download and extract the installer from access.redhat.com
2. Use either the auto configure tool, or use predefined install-config.yaml
3. ./openshift-install create cluster --dir=installer/ --log-level=debug

Actual results:
[cloud-user@ocp4-deployer ~]$ ./openshift-install create cluster --dir=installer/ --log-level=debug
DEBUG OpenShift Installer 4.3.18                   
DEBUG Built from commit db4411451af55e0bab7258d25bdabd91ea48382f 
DEBUG Fetching Terraform Variables...              
DEBUG Loading Terraform Variables...               
DEBUG   Loading Cluster ID...                      
DEBUG     Loading Install Config...                
DEBUG       Loading SSH Key...                     
DEBUG       Loading Base Domain...                 
DEBUG         Loading Platform...                  
DEBUG       Loading Cluster Name...                
DEBUG         Loading Base Domain...               
DEBUG         Loading Platform...                  
DEBUG       Loading Pull Secret...                 
DEBUG       Loading Platform...                    
FATAL failed to fetch Terraform Variables: failed to load asset "Install Config": invalid "install-config.yaml" file: platform.openstack.octaviaSupport: Internal error: could not retrieve service catalog 


Expected results:

Openshift installs

Additional info:
---------------------
Marked urgent because the only method to install Openshift4 on Openstack is non-functional
---------------------
install-config.yaml 
apiVersion: v1
baseDomain: orocktech.com
clusterID: openshift
controlPlane:
  name: master
  platform: {}
  replicas: 3
compute:
- name: worker
  platform:
    openstack:
      type: ml.xlarge
  replicas: 3
metadata:
  name: openshift
networking:
  clusterNetwork:
  - cidr: 10.128.0.0/14
    hostPrefix: 23
  machineCIDR: 10.0.0.0/16
  serviceNetwork:
  - 172.30.0.0/16
  networkType: OpenShiftSDN
platform:
  openstack:
    region: us-east-1
    cloud: openstack
    externalNetwork: external-floating-ips
    computeFlavor: m1.xlarge
    lbFloatingIP: xxx.xxx.xxx.xxx
    trunkSupport: false
    octaviaSupport: false
fips: true
pullSecret: ...
sshKey: ...

Comment 1 Pierre Prinetti 2020-05-07 14:13:20 UTC
This bug might have been fixed in 4.4 for another BZ?

Comment 2 Martin André 2020-05-07 14:52:33 UTC
This was likely fixed in 4.4 with https://github.com/openshift/installer/pull/3063 (https://bugzilla.redhat.com/show_bug.cgi?id=1791318). We'll backport it to 4.3.

Closing as a duplicate.

*** This bug has been marked as a duplicate of bug 1791318 ***

Comment 3 Martin André 2020-05-07 14:59:19 UTC
This will be fixed with https://github.com/openshift/installer/pull/3514

Comment 4 Donny Davis 2020-05-07 19:19:28 UTC
So will it be available in 4.3 or do I have to wait for 4.4?

Comment 5 Donny Davis 2020-05-07 19:20:51 UTC
I seriously need to read all the comments.


Note You need to log in before you can comment on or make changes to this bug.